Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.rdf.arp
Class JenaReader

    java.lang.Object
      com.hp.hpl.jena.rdf.arp.JenaReader

All Implemented Interfaces:
  ARPErrorNumbers, RDFReader

    public class JenaReader

extends java.lang.Object
implements RDFReader, ARPErrorNumbers

Interface between Jena and ARP.

Author:
  jjc

Field Summary

Fields inherited from interface com.hp.hpl.jena.rdf.arp.ARPErrorNumbers
`EM_ERROR, EM_FATAL, EM_IGNORE, EM_WARNING, ERR_ABOUTEACH_NOT_TOPLEVEL, ERR_BAD_RDF_ATTRIBUTE, ERR_BAD_RDF_ELEMENT, ERR_ENCODING_MISMATCH, ERR_GENERIC_IO, ERR_INTERNAL_ERROR, ERR_INTERRUPTED, ERR_LI_AS_TYPE, ERR_NOT_WHITESPACE, ERR_RESOLVING_AGAINST_MALFORMED_BASE, ERR_RESOLVING_AGAINST_RELATIVE_BASE, ERR_RESOLVING_URI_AGAINST_NULL_BASE, ERR_SAX_ERROR, ERR_SAX_FATAL_ERROR, ERR_STRING_NOT_NORMAL_FORM_C, ERR_SYNTAX_ERROR, ERR_UNABLE_TO_RECOVER, ERR_URI_NOT_NORMAL_FORM_C, ERR_UTF_ENCODING, IGN_DAML_COLLECTION, IGN_NO_BASE_URI_SPECIFIED, IGN_PRIVATE_XMLLANG, IGN_XMLBASE_SIGNIFICANT, IGN_XMLBASE_USED, WARN_BAD_NAME, WARN_BAD_NAMESPACE_URI, WARN_BAD_RDF_NAMESPACE_URI, WARN_BAD_XML, WARN_BAD_XML_NAMESPACE_URI, WARN_BAD_XMLLANG, WARN_BIG_FILE, WARN_DEPRECATED_XMLLANG, WARN_ENCODING_MISMATCH, WARN_IN_STRICT_MODE, WARN_LEGAL_REUSE_OF_ID, WARN_MALFORMED_URI, WARN_MALFORMED_XMLLANG, WARN_MINOR_INTERNAL_ERROR, WARN_NON_IANA_ENCODING, WARN_NONCANONICAL_IANA_NAME, WARN_NOT_RDF_NAMESPACE, WARN_PROCESSING_INSTRUCTION_IN_RDF, WARN_QNAME_AS_ID, WARN_RDF_NN_AS_TYPE, WARN_REDEFINITION_OF_ID, WARN_RELATIVE_NAMESPACE_URI_DEPRECATED, WARN_RELATIVE_URI, WARN_RESOLVING_URI_AGAINST_EMPTY_BASE, WARN_SAX_WARNING, WARN_STRING_COMPOSING_CHAR, WARN_STRING_NOT_NORMAL_FORM_C, WARN_UNKNOWN_PARSETYPE, WARN_UNKNOWN_RDF_ATTRIBUTE, WARN_UNKNOWN_RDF_ELEMENT, WARN_UNKNOWN_XML_ATTRIBUTE, WARN_UNQUALIFIED_ATTRIBUTE, WARN_UNQUALIFIED_ELEMENT, WARN_UNQUALIFIED_RDF_ATTRIBUTE, WARN_UNSUPPORTED_ENCODING, WARN_URI_COMPOSING_CHAR, WARN_XMLBASE_MISSING`

Constructor Summary
`JenaReader()` Creates new JenaReader

Method Summary
`ARPOptions` | `getOptions()`
`void` | `read(Graph g, java.io.InputStream in, java.lang.String xmlBase)` Reads from inputStream, using base URI xmlbase, adding triples to graph.
`void` | `read(Graph g, java.io.Reader reader, java.lang.String xmlBase)` Reads from reader, using base URI xmlbase, adding triples to graph.
`void` | `read(Model m, java.io.InputStream in, java.lang.String xmlBase)` Reads from inputStream, using base URI xmlbase, adding triples to model.
`void` | `read(Model m, java.io.Reader reader, java.lang.String xmlBase)` Reads from reader, using base URI xmlbase, adding triples to model.
`void` | `read(Model m, java.lang.String url)` Reads from url, using url as base, adding triples to model.
`RDFErrorHandler` | `setErrorHandler(RDFErrorHandler errHandler)` Change the error handler.
`void` | `setOptionsWith(ARPOptions opts)`
`java.lang.Object` | `setProperty(java.lang.String str, java.lang.Object value)` Change a property of the RDF or XML parser.
`static void` | `useMe(Model m)` Deprecated. This is the default behaviour

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JenaReader

    public JenaReader()

  Creates new JenaReader

Method Detail

### useMe

    public static void useMe(Model m)

  Deprecated. This is the default behaviour

  Sets the reader for the languages RDF/XML and RDF/XML-ABBREV to be JenaReader.

  Parameters:
    `m` - The Model on which to set the reader properties.

### read

    public void read(Model m,
                     java.lang.String url)
              throws JenaException

  Reads from url, using url as base, adding triples to model. Uses content negotiation to ask for application/rdf+xml, if available.

  Specified by:
    `read` in interface `RDFReader`
  Parameters:
    `m` - A model to add triples to.
    `url` - The URL of the RDF/XML document.
  Throws:
    `JenaException`

### read

    public void read(Model m,
                     java.io.Reader reader,
                     java.lang.String xmlBase)
              throws JenaException

  Reads from reader, using base URI xmlbase, adding triples to model. If xmlbase is "" then relative URIs may be added to model.

  Specified by:
    `read` in interface `RDFReader`
  Parameters:
    `m` - A model to add triples to.
    `reader` - The RDF/XML document.
    `xmlBase` - The base URI of the document or "".
  Throws:
    `JenaException`

### read

    public void read(Graph g,
                     java.io.Reader reader,
                     java.lang.String xmlBase)
              throws JenaException

  Reads from reader, using base URI xmlbase, adding triples to graph. If xmlbase is "" then relative URIs may be added to graph.

  Parameters:
    `g` - A graph to add triples to.
    `reader` - The RDF/XML document.
    `xmlBase` - The base URI of the document or "".
  Throws:
    `JenaException`

### read

    public void read(Model m,
                     java.io.InputStream in,
                     java.lang.String xmlBase)
              throws JenaException

  Reads from inputStream, using base URI xmlbase, adding triples to model. If xmlbase is "" then relative URIs may be added to model.

  Specified by:
    `read` in interface `RDFReader`
  Parameters:
    `m` - A model to add triples to.
    `in` - The RDF/XML document stream.
    `xmlBase` - The base URI of the document or "".
  Throws:
    `JenaException`

### read

    public void read(Graph g,
                     java.io.InputStream in,
                     java.lang.String xmlBase)

  Reads from inputStream, using base URI xmlbase, adding triples to graph. If xmlbase is "" then relative URIs may be added to graph.

  Parameters:
    `g` - A graph to add triples to.
    `in` - The RDF/XML document stream.
    `xmlBase` - The base URI of the document or "".

### setErrorHandler

    public RDFErrorHandler setErrorHandler(RDFErrorHandler errHandler)

  Change the error handler.

  Note that errors of class `ParseException`can be promoted using the `ParseException.promote()`method. See ARP documentation for `ErrorHandler`for the details of error promotion.

  Specified by:
    `setErrorHandler` in interface `RDFReader`
  Parameters:
    `errHandler` - The new error handler.
  Returns:
    The old error handler.

### setProperty

    public java.lang.Object setProperty(java.lang.String str,
                                        java.lang.Object value)
                                 throws JenaException

  Change a property of the RDF or XML parser.

  I do not believe that many of the XML features or properties are in fact useful for ARP users. The ARP properties allow fine-grained control over error reporting.

  This interface can be used to set and get:

  SAX2 features
    See Xerces features . Value should be given as a String "true" or "false" or a Boolean.
  SAX2 properties
    See Xerces properties .
  Xerces features
    See Xerces features . Value should be given as a String "true" or "false" or a Boolean.
  Xerces properties
    See Xerces properties .
  ARP properties
    These are referred to either by their property name, (see below) or by an absolute URL of the form `http://jena.hpl.hp.com/arp/properties/<PropertyName>`. The value should be a String, an Integer or a Boolean depending on the property.
    ARP property names and string values are case insensitive.

    ARP Properties
    Property Name | Description | Value class | Legal Values
    --- | --- | --- | ---
    `error-mode` | `ARPOptions.setDefaultErrorMode()` `ARPOptions.setLaxErrorMode()` `ARPOptions.setStrictErrorMode()` `ARPOptions.setStrictErrorMode(int)` | String | `default` `lax` `strict` `strict-ignore` `strict-warning` `strict-error` `strict-fatal`
    `embedding` | `ARP.setEmbedding(boolean)` | String or Boolean | `true` or `false`
    `ERR_<XXX>` `WARN_<XXX>` `IGN_<XXX>` | `ARPErrorNumbers` Any of the error condition numbers listed. `ARPOptions.setErrorMode(int, int)` | String or Integer | `EM_IGNORE` `EM_WARNING` `EM_ERROR` `EM_FATAL`

  Specified by:
    `setProperty` in interface `RDFReader`
  Parameters:
    `str` - The property to set.
    `value` - The new value; values of class String will be converted into appropriate classes. Values of class Boolean or Integer will be used for appropriate properties.
  Returns:
    The old value, or null if none, or old value is inaccesible.
  Throws:
    `JenaException` - For bad values.

### getOptions

    public ARPOptions getOptions()

### setOptionsWith

    public void setOptionsWith(ARPOptions opts)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP